libpicoipp_1.3.0-4r29_amd64.deb error?

Discussion forum for the new Picoscope Linux software
Post Reply
nlscope
Newbie
Posts: 0
Joined: Sun Nov 15, 2020 9:58 pm

libpicoipp_1.3.0-4r29_amd64.deb error?

Post by nlscope »

Hi

I get an error with libpicoipp_1.3.0-4r29_amd64.deb when installing picoscope on debian sid:

Code: Select all

user@debian0:~$ LC_ALL=C sudo apt install libpicoipp
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  libpicoipp
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
8 not fully installed or removed.
Need to get 0 B/10.8 MB of archives.
After this operation, 27.1 MB of additional disk space will be used.
(Reading database ... 221836 files and directories currently installed.)
Preparing to unpack .../libpicoipp_1.3.0-4r29_amd64.deb ...
dpkg: error processing archive /var/cache/apt/archives/libpicoipp_1.3.0-4r29_amd64.deb (--unpack):
 conffile name 'etc/ld.so.conf.d/picoscope.conf' is not an absolute pathname
Errors were encountered while processing:
 /var/cache/apt/archives/libpicoipp_1.3.0-4r29_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
user@debian0:~$ 
Maybe of interest for a developer?

Is this a good place to report errors like this?

Thanks!

chrger
Newbie
Posts: 0
Joined: Thu Nov 19, 2020 8:20 pm

Re: libpicoipp_1.3.0-4r29_amd64.deb error?

Post by chrger »

Hi,

I just run into the same issue with Debian buster. This is an issue in the package which must be fixed. As temporary workaround you can fix the package locally following the steps at https://unix.stackexchange.com/question ... repack-deb and remove the first line in the extracted package file DEBIAN/conffiles. Afterwards install the fixed package manually using the command dpkg -i and then continue the installation with apt-get -f install.

Regards
Christian

Post Reply